Tad Web 1.8.8 (2020-10-28 釋出)
================================================
1.修改預設圖檔機制，大量節省空間
2.修正 Google 共享相簿其他班網無法加入相同相簿的問題
3.修正搜尋區塊，將搜尋範圍改為該班網中的內容
4.修復手機版標題圖不正確的問題



Tad Web 1.8.7 (2020-09-01 釋出)
================================================
1.修正無法正確抓取 Google 共享相簿問題
2.修正無法匯入學生資料問題
3.修正無法排座位問題

Tad Web 1.8.6 (2020-07-25 釋出)
================================================
1.修正無法正確抓取 Google 共享相簿問題

Tad Web 1.8.5 (2020-04-24 釋出)
================================================
1.修正發布時同時建立分類，分類會無法新增的問題
2.修正佈景偶爾會跑掉的問題


Tad Web 1.8.4 (2020-04-23 釋出)
================================================
1.「活動剪影」支援直接讀取 Google 共享相簿
2.「活動剪影秀」區塊加入自選相簿設定
2.新增「活動剪影相片」區塊

Tad Web 1.8.3 (2020-04-21 釋出)
================================================
1.整合 BootStrap3 及 BootStrap4 樣板，並優化之
2.修改兩個空氣品質區塊
3.將區塊設定按鈕改為自動出現
4.作品分享加入附檔功能（可作為派作業的範例或題目、學習單等）
5.完成分類權限設定功能

Tad Web 1.8.2 (2020-03-15 釋出)
================================================
1.針對無障礙 2.0 AA標準進行修正
2.移除無效的外掛

Tad Web 1.8.1 (2020-01-09 釋出)
================================================
1.Reflected XSS 漏洞修補

Tad Web 1.8 (2019-10-14 釋出)
================================================
1.修正小幫手無法正常運作問題


Tad Web 1.7.9 (2019-05-02 釋出)
================================================
1.修正自訂區塊無法編輯問題
2.修正學生名冊無法匯入問題
3.修正班級管理選單班級重複出現問題
4.加入關閉班級功能
5.修正使用空間判斷不正確的問題
6.修正分類設定無法正常使用問題



Tad Web 1.7.8 (2019-05-10 釋出)
================================================
1.支援 XOOPS 2.5.10
2.不再支援 PHP 5.3

Tad Web 1.7.7 (2019-01-01 釋出)
====================================================
 1.新增「活動剪影」的圖片自動播放設定
 2.修正已使用空間顯示不正確的問題
 3.初步完成無障礙 2.0 檢測
 4.修正沒有任何內容時，中間區塊不會出現的問題。
 5.移除網站擁有者為必然之共同管理員
 6.加強變數過濾
 7.修正聯絡簿儲存後有時會找不到的問題
 8.移除 Big5 中文語系
 9.支援 BootStrap4
10.支援 PHP 7.3
11.支援 MySQL 資料庫嚴格模式
12.將班級名稱設為預設分類




Tad Web 1.7.6 (2017-12-26 釋出)
====================================================
 1.修正區塊json檔內容不正確的問題


Tad Web 1.7.5 (2017-11-21 釋出)
====================================================
 1.修正檔案無法正確刪除的問題
 2.修正功能設定無法使用問題
 3.支援PHP7.1
 4.修正「小幫手」功能相關權限


Tad Web 1.7.4 (2017-10-06 釋出)
====================================================
 1.修改班網網站路徑
 2.加速後台空間管理頁面
 3.修正行事曆無法顯示問題


Tad Web 1.7.3 (2017-09-27 釋出)
====================================================
 1.簡化網站設定頁面
 2.修正儲存外掛設定後，關閉區塊會被重新開啟的問題。
 3.連結及影片加入排序功能
 4.加入變更管理者（導師）名稱功能
 5.修正分類關閉後，內容仍舊出現的問題
 6.討論區加上留言排序設定
 7.行事曆加上每週首日設定
 8.留言內容會將網址自動加上連結
 9.解決「文章列表」、「最新消息」手機編輯會無法顯示的問題
10.加速後台空間管理速度
11.解決「文章選單」區塊無法顯示問題
12.解決檔案區塊無法顯示上傳者的問題
13.解決課表若無設定預設課表會全部無法顯示問題
14.解決收支簿金額上限問題


Tad Web 1.7.2 (2017-01-08 釋出)
====================================================
 1.收支簿開放家長觀看
 2.日課表安全性修正
 3.修正空間統計圖計算不正確的問題
 4.將RWD調整成1024下才運作


Tad Web 1.7.1 (2016-10-12 釋出)
====================================================
 1.修正手機版網頁班級圖片不正確問題
 2.修正「關於我們」在無法正確切換班級的問題
 3.「關於我們」成員自我介紹加入自動換行
 4.修正網址輸入錯誤會產生多餘資料夾的問題
 5.新增分類的關閉和啟用功能
 6.分類管理加入關閉及排序功能
 7.修正區塊無法正常預覽的問題
 8.文章列表區塊加入顯示文章數及是否顯示點閱數的設定
 9.成員名稱已經可以設定成顯示全名，以方便行政網站用
10.修正功課表在新增科目時，有時會有覆蓋舊科目的問題
11.好站連結區塊加入隱藏連結和說明的設定
12.修正行事曆若關閉全域事件，自己也看不到本站全域事件的問題
13.新增文章列表的內容外觀樣式設定
14.加入360度相片支援（須搭配最新版tadtools）
15.移除無效的flickrit區塊
16.新增小瑪莉功能
17.關於我們新增功能啟用或關閉的設定


Tad Web 1.7 (2016-05-27 釋出)
====================================================
 1.修正tag會重複顯示及無法取消的問題
 2.新增區塊讀取權限設定
 3.修正在少數狀況下分類名稱會變成數字的問題
 4.修正未登入時分類選單無法切換的問題
 5.修正模組無法正確更新的問題
 6.移除 BootStrap2
 7.支援 PHP7
 8.修正倒數計時區塊重複安裝會有不正常的問題



Tad Web 1.6.9 (2016-04-08 釋出)
====================================================
 1.修正聯絡簿排序不正確問題
 2.修正文章列表排序不正確問題
 3.修正友善列印顏色文字或底色無法印出及大圖無法完全列印的問題
 4.替線上影片、檔案下載、好站連結、作品分享、留言簿加入標籤功能
 5.加入顯示標籤內容的頁面及區塊
 6.修正討論區表情圖顯示有誤的問題
 7.留言強制換行，避免導致版面有誤
 8.加入排行榜功能
 9.文章列表將顯示未分類文章
 10.加入家長登入及相關功能
 11.聯絡簿從表格改為三欄式排版以利行動裝置觀看
 12.修正檔案無法正確刪除的問題
 13.加入全域通知功能
 14.新增小幫手功能




Tad Web 1.6.8 (2016-02-23 釋出)
====================================================
 1.加入收支簿功能
 2.提昇影片的載入效能
 3.留言簿加入表情符號功能
 4.修正更新程序bug，避免無法更新
 5.新增共同管理員時加入快速篩選功能
 6.修正共同管理員無法管理網站問題
 7.修正作品分享區塊顯示不正常的問題
 8.修正 PHP 5.4 版以下主機無法寫入區塊設定值的問題。



Tad Web 1.6.7 (2016-01-20 釋出)
====================================================
 1.修正區塊分享機制
 2.新增「關於我們」的呈現設定
 3.新增「新聞RSS跑馬燈」、「外部相簿嵌入」、「倒數計時」、「聊天室」、「懸浮微粒 (pm2.5) 預報」、「空氣品質 (PSI) 預報」等區塊
 4.修正網站關閉後，管理員自己無法去重新開啟的情形
 5.修正留言簿學生權限問題
 6.新增「區塊複製」功能
 7.新增修改區塊設定機制使之更聰明
 8.增強學生相關功能
 9.作品分享新增學生繳交作品功能
 10.修正後台無法刪除網站的問題
 11.修正模組無法正確反安裝的問題



Tad Web 1.6.6 (2016-01-04 釋出)
====================================================
 1.讓分頁正確呈現
 2.讓分類正確呈現
 3.修正影片圖檔有時候無法抓到的問題
 4.修正自由區塊js崁入模式有時後會運作不正常的現象
 5.加入各種顏色調整功能
 6.加入區塊標題轉圖片功能
 7.完整自由區塊分享功能
 8.調整區塊工具列
 9.加入「搜尋」、「QRCode」、「推文工具」、「萌典查生字」、「Dr.eye 英文字典」、「維基百科」等區塊
10.加入區塊刪除功能
11.新聞和文章列表加入預覽列印功能
12.新增關閉網站功能
13.新增第二種版型
14.加入FB留言框機制
15.新增背景設定選項
16.修改登入區塊的呈現方式
17.「檔案下載」新增連結外部檔案功能
18.新增權限機制，目前僅用於「活動剪影」
19.「最新消息」新增草稿功能
20.修正「檔案下載」刪除不正確的問題
21.新增標籤功能



Tad Web 1.6.5 (2015-12-17 釋出)
====================================================
 1.加入自由區塊功能
 2.修正作品分享部份連結不正確問題
 3.修正共同管理員無法管理網站問題
 4.加入使用者可用空間上限設定
 5.從後台可以看到使用者上傳檔案佔用空間的詳細情形
 6.調整登入區塊外觀及部份問題
 7.加入班級及學生管理功能
 8.加入網站自行刪除功能



Tad Web 1.6.4 (2015-12-01 釋出)
====================================================
 1.修正學生無法留言或觀看留言的問題
 2.新增最新影片、隨機影片區塊
 3.新增最新、隨機作品分享區塊
 4.將首頁所有外掛內容列表均轉為區塊
 5.新增區塊設定功能，可調整區塊位置
 6.網站首頁版面改為可自行設設定
 7.修復首頁無法刪除各種內容的問題
 8.可正確移除網站所有內容
 9.各位掛新增刪除全部及取得資料數的方法



Tad Web 1.6.3 (2015-11-04 釋出)
====================================================
 1.修正班級首頁各功能顯示數量設定沒作用的問題
 2.修正 bootstrap2 下班級首頁聯絡簿無法顯示所屬網站的問題
 3.修正無法正確安裝、移除的問題
 4.加入功課表列印功能（需 tadtools 2.8 以上）



Tad Web 1.6.2 (2015-11-02 釋出)
====================================================
 1.新增「文章列表」可顯示於子網站首頁的功能
 2.新增選單字型大小設定
 3.新增側邊欄位置的設定（需搭配新版 for_tad_web_theme）
 4.調整聯絡簿的列表標題
 5.修正 bootstrap2 下未發布聯絡簿無法顯示的問題


Tad Web 1.6.1 (2015-10-23 釋出)
====================================================
 1.新增聯絡簿預先設定內容的功能
 2.修正共同管理員無法移除的問題
 3.加入恢復 logo 圖片預設位置的功能
 4.修正 bootstrap2 後台看不見共同管理員資訊的問題
 5.自訂頁面附檔呈現檔名
 6.加入mp3線上播放功能（需 tadtools 2.79以上）
 7.修正文章列表無法下載檔案的問題
 8.修正後台更改網站班級名稱前台logo不會自動更新的問題


Tad Web 1.6 (2015-10-26 釋出)
====================================================
 1.新增行事曆新增事件功能及其區塊
 2.後台加入環境檢查及建議功能
 3.修正功課表的呈現方式
 4.調整網站列表的布局，並可由偏好設定設定欲顯示欄位
 5.修正無法手動新增成員的bug
 6.新增共同管理員功能


Tad Web 1.5.1 (2015-10-16 釋出)
====================================================
 1.修正留言簿語系不正確的問題
 2.修正網頁區塊消失的問題


Tad Web 1.5 (2015-10-16 釋出)
====================================================
 1.修正活動剪影英文語系不正確的問題
 2.新增自訂頁面功能及其區塊
 3.新增功課表功能
 4.新增多人網頁區塊機制
 5.新增網站空間使用情況
 6.登入區塊加入OpenID登入
 7.修正嚴重的安全性問題
 8.擷取網站網址、名稱、站長信箱、多人網頁版本、子網站數等資訊以供統計或日後更新通知
 9.修正外部班網在bootstrap2佈景無法使用的問題


Tad Web 1.4.1 (2015-10-08 釋出)
====================================================
 1.修正同一人有兩個以上網站時，選單無法切換網站的問題。
 2.修正外部班網無法自動連結的問題


Tad Web 1.4 (2015-10-02 釋出)
====================================================
 1.所有功能模組化，簡化開發流程，並提昇設定彈性
 2.老師可自行指定位於其他位址的班網
 3.聯絡簿脫離最新消息成為獨立功能
 4.管理員可決定要出現在總覽頁的功能有哪些
 5.網站擁有者可以自行調整首頁及功能表的功能順序
 6.新增功能設定頁面


Tad Web 1.3 (2015-09-21 釋出)
====================================================
 1.修正後台網站列表分類選單無法正常運作的問題
 2.修正學生若沒填姓名將無法刪除的問題
 3.修正作品分享無法下載圖片以外的檔案
 4.新增分類管理功能
 5.修正留言簿無法刪除學生留言的問題


Tad Web 1.2 (2015-09-17 釋出)
====================================================
 1.修正新聞頁面無法下載附檔的問題。
 2.修正選單區塊在本站時無法正確顯示選單的問題。
 3.後台新增網站分類管理功能
 4.前台的網站列表改以頁籤方式呈現（有設定分類的話）
 5.修正學生編輯畫面在Bootstrap2下看起來不正常的問題
 6.修正選單區塊在非自己網站時僅出現登入按鈕的問題
 7.將標題重製為真實圖片以利行動裝置觀看
 8.調整新聞呈現頁面，無內容新聞隱藏空白框
 9.開放管理員可以管理任一班網站
 10.修正後台編輯網站後擁有者欄位會消失的情形
 11.新增「作品分享」功能
 12.調整活動報導的呈現界面為縮圖
 13.將標題字型改為「嵐.萌系一號」
 14.所有頁面均加入分類功能
 15.登入區塊改為XOOPS以及個人網站成員登入用的兩用區塊


Tad Web 1.1 (2015-09-05 釋出)
====================================================
 1.調整新聞呈現方式
 2.美化聯絡簿內容
 3.修正討論無法呈現的bug
 4.加入登入區塊，可不用再從原網站登入
 5.多人網頁統一採用BootStrap3，模組首頁則視原網站bootstrap版本自動調整。


Tad Web 1.01 (2015-09-02 釋出)
====================================================
 1.修正部份界面文字的錯誤
 2.新增區塊調整功能
 3.修正在bootstrap2下，網站設定頁面logo不正常的問題


Tad Web 1.0 (2015-09-02 釋出)
====================================================
 1.修正影片播放會和 Tad Player 播放區塊相衝的問題
 2.後台加入「依班級名稱排序」的功能
 3.各網頁可開啟至獨立畫面
 4.網頁擁有者可以自己調整版面
 5.關於我們以及聯絡簿已經可以關閉不用
 6.加入bootstrap3支援
 7.相簿區塊改為用滑動圖片來顯示


Tad Web 1.0 RC6 版（2014-10-23 釋出)
====================================================
 1.修正聯絡簿無法編輯舊資料的問題
 2.修改首頁網頁列表為表格
 3.修正檔案子目錄不正確的問題，並加入更新修正程式


Tad Web 1.0 RC5 版（2014-09-25 釋出)
====================================================
 1.修改程式，使之符合無障礙網頁規範
 2.針對MySQL嚴格模式進行修正
 3.修正所有的上傳問題


Tad Web 1.0 RC4 版（2014-01-27）
====================================================
 1.導入新的上傳機制
 2.針對MySQL嚴格模式進行修正
 3.調整學生設定的畫面

Tad Web 1.0 RC3 版（2013-07-30）
====================================================
 1.修正影片播放功能和tad_player函數重複的bug
 2.修正同一個老師不能有兩個以上網站的bug
 3.已經可以上傳下載中文檔名之檔案（包括新聞附檔）
 4.修改後台新增網站時出現_MA_TCW_CLICK_TO_EDIT訊息
 5.修正留言簿無法隱藏的bug修正相簿及相簿區塊相片沒出來的bug
 6.修正相簿無法編輯或上傳第二次（或無法儲存相片說明）的bug
 7.留言限制只有校內師生（或網站成員）可以看得見。


Tad Web 1.0 RC2 版（2013-07-29）
====================================================
 1.增加留言功能
 2.增加網站成員相關功能
 3.新增 Big5 中文語系
 4.包山包海的小 bug 修正


Tad Web 1.0 RC1 版（2013-07-01）
====================================================
 1.可建立簡易的使用者個人網頁
 2.每一個使用者可以有多個網頁
